#!/bin/bash

cd $(dirname "$0")
echo "Generating $(pwd)/Makefile.am"

progs="$(echo *.c | sed -e 's/\.c / /g' -e 's/\.c$//')"
echo "TESTS = $progs
check_PROGRAMS = $progs
pkginclude_HEADERS = ttail_check.h
EXTRA_DIST = samples" > Makefile.am

for p in $progs
do
	echo "
${p}_SOURCES = ${p}.c
${p}_CFLAGS = @CHECK_CFLAGS@
${p}_LDADD = \$(top_builddir)/src/libttail.a @CHECK_LIBS@
"
done >> Makefile.am
